Magento 2.4 sodium php extension


  • | 87 points

    Hi everyone!

    I'm having troubles when I'm trying to install Magento 2.4 using Laragon. The problem is that php 7.4 doesn't detect sodium extension as enabled but as I can see on laragon menu and php.ini it is.

    Anyone else has the same issue? I'm on Windows 10.

    Thanks in advance!


  • | 87 points

    Hi!

    Finally I solve it updating the php version on Laragon.

    Regards!


  • | 434 points

    While installing Magento 2.4.2 this error occurs which indicates your PHP and Apache does not have the "Sodium" extension ON.

    For WAMP or WAMP64 users, you will need to remove ";" in front of the extension=sodium line written in wamp64\bin\apache\apache2.4.41\bin\php.ini and

    wamp64\bin\php\phpX.X.x\php.ini Free Robux no verification

    then it would be worked.


  • | 2856 points

    @nathshubhangi said in Magento 2.4 sodium php extension:

    For WAMP or WAMP64 users,

    Since this is posted in the Laragon forums, I suspect the OP is using Laragon rather than WAMP. Just a thought.


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.